import {StrictMode} from 'react'
import {createRoot} from 'react-dom/client'
import {Graph} from "./Graph.jsx";

function onGraphLoad(graph){
    let hello = graph.createNode('Hello');
    hello.image = 'Q-server'
    let qunee = graph.createNode("Qunee", 200, 100);
    let edge = graph.createEdge("Hello\nQunee", hello, qunee);
    graph.moveToCenter();
}

createRoot(document.getElementById('root')).render(
    <StrictMode>
        <Graph onload={onGraphLoad}/>
    </StrictMode>,
)
